---
title: Window.back()
slug: Web/API/Window/back
tags:
  - API
  - Firefox
  - Gecko
  - HTML DOM
  - Method
  - Non-standard
  - Obsolete
  - Window
  - back
---
<div>{{APIRef}}{{ Non-standard_header() }}{{deprecated_header}}</div>

<p>The obsolete and non-standard method <code>back()</code> on the {{domxref("window")}} interface returns the window to the previous item in the history. This was a Firefox-specific method and was removed in Firefox 31.</p>

<div class="notecard note">
<p><strong>Note:</strong> Use the standard {{domxref("history.back")}} method instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.back();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<p>This simple example handles a click on a "Back" button by calling <code>back()</code>.</p>

<pre class="brush:js">function handleMyBackButton() {
  if (canGoBack) {
    window.back();
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>This non-standard method was only implemented in Firefox, and was removed in Firefox 31.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("History.back()")}}</li>
 <li>{{domxref("History.forward()")}}</li>
</ul>
